I use 
      dub build --compiler=ldc2
and get these error messages below:

Installing DCD
Installing into C:\Users\admin\AppData\Roaming\code-d\bin
Deleting old installation from C:\Users\admin\AppData\Roaming\code-d\bin\DCD
Failed to install DCD
std.file.FileException@C:\temp\LDC-BUILDx86\src\ldc\runtime\phobos\std\file.d(733):
 
C:\Users\admin\AppData\Roaming\code-d\bin\DCD\.git\modules\dsymbol\objects\pack\pack-8e9b49e6972937fb54fdb5f64365e3c1e41f39ca.idx:
 Access Denied??
----------------
0x016C9F58 in ulong[] core.sys.windows.stacktrace.StackTrace.traceNoSync(uint, 
core.sys.windows.winnt.CONTEXT*)
0x016C9D02 in core.sys.windows.stacktrace.StackTrace 
core.sys.windows.stacktrace.StackTrace.__ctor(uint, 
core.sys.windows.winnt.CONTEXT*)
0x016C2B2C in object.Throwable.TraceInfo core.runtime.defaultTraceHandler(void*)
Installing dscanner
Installing into C:\Users\admin\AppData\Roaming\code-d\bin
Deleting old installation from 
C:\Users\admin\AppData\Roaming\code-d\bin\Dscanner
Failed to install Dscanner
std.file.FileException@C:\temp\LDC-BUILDx86\src\ldc\runtime\phobos\std\file.d(733):
 
C:\Users\admin\AppData\Roaming\code-d\bin\Dscanner\.git\modules\containers\objects\pack\pack-d03772eb5ea7715bd99bec2a2491e7062f8f6062.idx:
 Access Denied??
----------------
0x016C9F58 in ulong[] core.sys.windows.stacktrace.StackTrace.traceNoSync(uint, 
core.sys.windows.winnt.CONTEXT*)
0x016C9D02 in core.sys.windows.stacktrace.StackTrace 
core.sys.windows.stacktrace.StackTrace.__ctor(uint, 
core.sys.windows.winnt.CONTEXT*)
0x016C2B2C in object.Throwable.TraceInfo core.runtime.defaultTraceHandler(void*)





------------------ ------------------
On Sunday, 6 August 2017 at 05:38:28 UTC, Dmitry wrote:
> On Saturday, 5 August 2017 at 22:43:31 UTC, WebFreak001 wrote:
>> try out the new version please uninstall code-d and install 
>> code-d-beta 
>> (https://marketplace.visualstudio.com/items?itemName=webfreak.code-d-beta, 
>> it's version 0.16.1) and just try to use it.
>
> Failed to install serve-d (Error code 2)
> https://pastebin.com/EMgV1tR2

Can you cd C:\Users\Dmitry\AppData\Roaming\code-d\bin\serve-d
and then try the following commands in this order and tell me if 
one of them worked:

dub build --compiler=ldc --build=release --combined
dub build --compiler=ldc --combined
dub build --compiler=ldc --build=release
dub build --compiler=ldc

Reply via email to